Send an onboarding message
curl --request POST \
--url https://dashboard.launchpointhq.com/api/v1/onboarding/{creatorId}/messages \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"programId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>"
}
'import requests
url = "https://dashboard.launchpointhq.com/api/v1/onboarding/{creatorId}/messages"
payload = {
"programId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({programId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', message: '<string>'})
};
fetch('https://dashboard.launchpointhq.com/api/v1/onboarding/{creatorId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.launchpointhq.com/api/v1/onboarding/{creatorId}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'programId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'message' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dashboard.launchpointhq.com/api/v1/onboarding/{creatorId}/messages"
payload := strings.NewReader("{\n \"programId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"message\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dashboard.launchpointhq.com/api/v1/onboarding/{creatorId}/messages")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"programId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"message\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.launchpointhq.com/api/v1/onboarding/{creatorId}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"programId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"message\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"programId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creatorId": "<string>",
"sent": true
}Onboarding
Send an onboarding message
Send the creator a message about their onboarding, for example to ask them to link Instagram and send a proof. The creator gets it as onboarding feedback in the app, by push, and in Discord. Nothing else changes.
While a proof from the creator waits for review, the message is not sent and the request returns 409 with code: proofs_waiting. Approve or reject the proof instead; a rejection carries its own message to the creator.
POST
/
onboarding
/
{creatorId}
/
messages
Send an onboarding message
curl --request POST \
--url https://dashboard.launchpointhq.com/api/v1/onboarding/{creatorId}/messages \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"programId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>"
}
'import requests
url = "https://dashboard.launchpointhq.com/api/v1/onboarding/{creatorId}/messages"
payload = {
"programId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({programId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', message: '<string>'})
};
fetch('https://dashboard.launchpointhq.com/api/v1/onboarding/{creatorId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.launchpointhq.com/api/v1/onboarding/{creatorId}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'programId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'message' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dashboard.launchpointhq.com/api/v1/onboarding/{creatorId}/messages"
payload := strings.NewReader("{\n \"programId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"message\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dashboard.launchpointhq.com/api/v1/onboarding/{creatorId}/messages")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"programId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"message\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.launchpointhq.com/api/v1/onboarding/{creatorId}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"programId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"message\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"programId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creatorId": "<string>",
"sent": true
}Authorizations
API key created in Dashboard → Settings → Developer
Path Parameters
Opaque creator id returned by /creators
Query Parameters
Choose the data scope. company (default) limits results to the API key company's data. agency includes the parent agency and its linked brands. scope=agency requires a parent agency key; other keys receive 403.
Available options:
company, agency Body
application/json